View Issue Details

IDProjectCategoryView StatusLast Update
0003003SOGoActiveSyncpublic2014-12-17 15:34
ReporterRaido Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Client] MicrosoftOSWindowsOS Version7
Target Version2.2.12Fixed in Version2.2.12 
Summary0003003: ActiveSync öäüõ not displayed correctly in Outlook 2013
Description

In webmail all symbols are displayed correctly, but in outlook they are displayed as ?¶?¤?µ?¼p?¶?¶?¼?

TagsNo tags attached.

Activities

Raido

Raido

2014-11-28 01:42

reporter   ~0007757

When I open message, select Actions->Other Actions -> Encoding -> UTF-8 message is fine. Saving message is not allowed in ActiveSync.

ludovic

ludovic

2014-12-04 14:22

administrator   ~0007775

All works for me.

What do you mean by " Saving message is not allowed in ActiveSync. " ?

Raido

Raido

2014-12-05 02:17

reporter   ~0007777

When I open Email that is not displayed correctly and choose Actions->Other Actions -> Encoding -> UTF-8 letters are fine but when I close the letter, outlook gives me option to save message in UTF-8, but it is not allowed.

I tried sending email from my thunderbird client, selecting Options - > Character Encoding -> Unicode. No help. Here is message source from the reply I got after I sent email testing öäüõ letters.
Delivered-To: raido@kuvarnet.ee
Received: by 10.112.24.66 with SMTP id s2csp40608lbf;
Thu, 27 Nov 2014 23:01:32 -0800 (PST)
X-Received: by 10.194.5.227 with SMTP id v3mr67270043wjv.63.1417158092694;
Thu, 27 Nov 2014 23:01:32 -0800 (PST)
Return-Path: <nele@torm.ee>
Received: from mail.torm.ee (e331-1652-c532-2404-7101-88c1-07d0-2001.dyn.estpak.ee. [2001:7d0:88c1:7101:2404:c532:1652:e331])
by mx.google.com with ESMTP id p5si15622776wjp.7.2014.11.27.23.01.32
for <raido@kuvarnet.ee>;
Thu, 27 Nov 2014 23:01:32 -0800 (PST)
Received-SPF: pass (google.com: domain of nele@torm.ee designates 2001:7d0:88c1:7101:2404:c532:1652:e331 as permitted sender) client-ip=2001:7d0:88c1:7101:2404:c532:1652:e331;
Authentication-Results: mx.google.com;
spf=pass (google.com: domain of nele@torm.ee designates 2001:7d0:88c1:7101:2404:c532:1652:e331 as permitted sender) smtp.mail=nele@torm.ee;
dkim=neutral (body hash did not verify) header.i=@
Received: by mail.torm.ee (Postfix, from userid 1001)
id 4555860F55; Fri, 28 Nov 2014 09:01:28 +0200 (EET)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=torm.ee; s=mail;
t=1417158088; bh=mj81ZFxk9/ED5e1fxRpsrI2aaxE2fn+HQ0ubrKqgjcc=;
h=From:To:References:In-Reply-To:Subject:Date:From;
b=ZOzk3ntctli/+YOcylJoAxX3GzXeOCp8ImLKRKSvfAP0s3WbBDkiqKtKXGDqpqH4W
fvVQ87YefGSnaucP4NBAAGKOb9sS6fiEvOvZLxlL4f16VbuGaN1k8j8WEsvfs1lBg2
K/pCDu5JtvNS26i9WkTdEyF3uhaEPmjZXHHhCLUs=
From: "Nele Annuk" <nele@torm.ee>
To: "'Raido Rinaldi'" <raido@kuvarnet.ee>
References: <54781D9A.1060004@kuvarnet.ee>
In-Reply-To: <54781D9A.1060004@kuvarnet.ee>
Subject: =?utf-8?Q?RE:_T=C3=A4pit=C3=A4htede_test_2?=
Date: Fri, 28 Nov 2014 09:01:34 +0200
Message-ID: <000f01d00ad9$2572dcd0$70589670$@torm.ee>
MIME-Version: 1.0
Content-Type: text/plain;
charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: Microsoft Outlook 15.0
thread-index: AQIdSgx6gDair3VF1wN0GE6PEtzBNpvbHiZQ
content-language: et
X-TORM-MailScanner-ID: 4555860F55.A9879
X-TORM-MailScanner: Found to be clean
X-TORM-MailScanner-From: nele@torm.ee
X-Spam-Status: No

Hommik

Ei ilmu endiselt.

-----Original Message-----
From: Raido Rinaldi [mailto:raido@kuvarnet.ee]=20
Sent: Friday, November 28, 2014 9:01 AM
To: nele@torm.ee
Subject: T=C3=A4pit=C3=A4htede test 2

Tere,

testin t=C4=86=C2=A4pit=C4=86=C2=A4hti...=C4=86=C2=B6=C4=86=C2=A4=C4=86=C2=
=BC=C4=86=C2=B5. Palun saatke vastus, kas t=C4=86=C2=A4hed ilmuvad korrekts=
elt.
With bold I marked places where should be öäüõ letters. Original message I sent.
Tere,
testin täpitähti...öäüõ. Palun saatke vastus, kas tähed ilmuvad korrektselt.

ludovic

ludovic

2014-12-05 06:48

administrator   ~0007779

Attach the EML version of that email to this ticket. ZIP it first too.

Raido

Raido

2014-12-05 06:52

reporter  

Archive.7z (2,054 bytes)
Raido

Raido

2014-12-08 02:11

reporter   ~0007786

Attatched eml's.

ludovic

ludovic

2014-12-17 15:34

administrator   ~0007870

https://github.com/inverse-inc/sogo/commit/493c366ac42481d99c014eb9746b38bd43d726a2

Issue History

Date Modified Username Field Change
2014-11-27 05:32 Raido New Issue
2014-11-28 01:42 Raido Note Added: 0007757
2014-12-04 14:22 ludovic Note Added: 0007775
2014-12-05 02:17 Raido Note Added: 0007777
2014-12-05 06:48 ludovic Note Added: 0007779
2014-12-05 06:52 Raido File Added: Archive.7z
2014-12-08 02:11 Raido Note Added: 0007786
2014-12-17 15:34 ludovic Target Version => 2.2.12
2014-12-17 15:34 ludovic Note Added: 0007870
2014-12-17 15:34 ludovic Status new => resolved
2014-12-17 15:34 ludovic Fixed in Version => 2.2.12
2014-12-17 15:34 ludovic Resolution open => fixed
2014-12-17 15:34 ludovic Assigned To => ludovic